### Signal

# GSSDP.Client::message-received

#### Declaration

    void
    message_received (
      GSSDPClient self,
      gchar* from_ip,
      guint from_port,
      gint type,
      SoupMessageHeaders* headers,
      gpointer user_data
    )

#### Description [src]

Internal signal.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`
Stability: | Private

#### Parameters

`from_ip` | `gchar*`
| The IP address of the source.
| The data is owned by the caller of the function
| The string is a NUL terminated UTF-8 string
`from_port` | `guint`
| The UDP port used by the sender.
`type` | `gint`
| The #_GSSDPMessageType.
`headers` | `SoupMessageHeaders*`
| Parsed `SoupMessageHeaders` from the message.
| The data is owned by the caller of the function